using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;
using TMPro;
using UnityEngine.Events;

namespace Mod
{
	public class StageBehaviour : MonoBehaviour
		{  
			public Sprite StartStage; 
			public Sprite Stage1;
			public Sprite Stage2;
			public Sprite Stage3;
			public Sprite Stage4;

			public AudioClip Switching;

			public float startHealth = 0f;
			private float Health;
			
    
			private SpriteRenderer SpriteRen;
			private AudioSource Audio;
	
			private void Start()
			{
				Audio = gameObject.AddComponent<AudioSource>();		
				gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();				
				SpriteRen = gameObject.GetComponent<SpriteRenderer>();				
				Health = startHealth;
			}

			private void Use()
			{
				Health += 1f;
				CheckHealth();
			}

			private void CheckHealth()
			{
			if (Health <= 0)
			{
				SpriteRen.sprite = StartStage;
				Audio.PlayOneShot(Switching);
				Debug.Log(Health);
			}
			else if (Health <= 1)
			{
				SpriteRen.sprite = Stage1;
				Audio.PlayOneShot(Switching);
				Debug.Log(Health);
			}
			else if (Health <= 2)
			{
				SpriteRen.sprite = Stage2;
				Audio.PlayOneShot(Switching);
				Debug.Log(Health);
			}
			else if (Health <= 3)
			{
				SpriteRen.sprite = Stage3;
				Audio.PlayOneShot(Switching);
				Destroy(GetComponent<BoxCollider2D>());
				gameObject.AddComponent<BoxCollider2D>();
				gameObject.FixColliders();
				Debug.Log(Health);
			}
			else if (Health <= 4)
			{
				Destroy(gameObject);
				//SpriteRen.sprite = Stage4;
				Audio.PlayOneShot(Switching);
				Debug.Log(Health);
			}
			
			}
			
		}
}
// Originally uploaded by 'Kyrelink, Quickness'. Do not reupload without their explicit permission.
