using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;
using TMPro;
using UnityEngine.Events;

namespace Mod
{
	public class ItDeadBehaviour : MonoBehaviour
    {
        public AudioClip OnDeadSound = null;
        public AudioClip[] OverrideImpactSoundsOnAlive;
        public AudioSource Audio;        
        public float SoundVolume = 0.5f;
        private bool nowDead = true;
        
        void Start()
        {
            gameObject.AddComponent<AudioSourceTimeScaleBehaviour>();
            Audio = gameObject.AddComponent<AudioSource>();
            Audio.volume = SoundVolume; 
        }
        private void Update()
        {            
            if (!nowDead && !gameObject.GetComponent<LimbBehaviour>().Person.IsAlive()) //если умрет
            {
                Audio.PlayOneShot(OnDeadSound);
                gameObject.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = null;
                nowDead = true;
                Debug.Log("nowDead = true");
            }
            else if (nowDead && gameObject.GetComponent<LimbBehaviour>().Person.IsAlive()) //если оживет
            {
                gameObject.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = OverrideImpactSoundsOnAlive;
                nowDead = false;
                Debug.Log("nowDead = false");
            }
        }


    }
}
// Originally uploaded by 'Kyrelink, Quickness'. Do not reupload without their explicit permission.
